package edu.travel.utils.tree;

import com.alibaba.fastjson.JSON;

import java.util.List;

public class CustomDeepCopy {
    public static <T> T toClass(T source, Class<T> targetClass) {
        String jsonString = JSON.toJSONString(source);
        return JSON.parseObject(jsonString, targetClass);
    }

    public static <T> List<T> toObject(Object source, Class<T> targetClass) {
        String jsonString = JSON.toJSONString(source);
        return JSON.parseArray(jsonString, targetClass);
    }


}