package edu.travel.remote.commodity;

import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.vo.ProductSpecVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(name = "commodity-dev", path = "/shopProductSpec")
public interface ShopProductSpecRemoteController extends RemoteBaseController<ProductSpecVo, ProductSpecDto> {
    @GetMapping("/getShopSpec")
    public RPCBaseResponse<ProductSpecVo> getShopSpec(@SpringQueryMap ProductSpecDto param);
}
