package edu.travel.remote.commodity;

import edu.travel.remote.vo.ShopUserSessionVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "commodity-dev", path = "/shopUserSession")
public interface ShopUserSessionRemoteController {

    @GetMapping("/getUserSession")
    public RPCBaseResponse<ShopUserSessionVo> getUserSession();

    @GetMapping("/getSessionInfo")
    public RPCBaseResponse<ShopUserSessionVo> getSessionInfo(@RequestParam("sessionId") String sessionId);
}
