package edu.travel.remote.dto;

import lombok.Data;

@Data
public class UpdateAddressDto {
    /**
     * 地址ID
     */
    private String id;

    /**
     * 国家id
     */
    private String countryId;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 维度
     */
    private String latitude;

    /**
     * 收货人名称
     */
    private String recipientName;

    /**
     * 收货人电话
     */
    private String phone;

    /**
     * 详细地址
     */
    private String detailedAddress;

    /**
     * 是否默认地址 0是 1否
     */
    private Integer isDefault;

}
