package edu.travel.remote.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * 意见类型
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_opinion_type")
public class ShopOpinionTypeVo extends BaseEntity {
    /**
     * 意见类型ID
     */
    private Long id;

    /**
     * 类型名
     */
    private String typeName;

    /**
     * 类型描述
     */
    private String typeDescription;

    /**
     * 状态 0启用 1禁用
     */
    private String status;

    /**
     * 其他类型（用户填写）
     */
    private String otherType;

    /**
     * 语言id
     */
    private String languageId;
    /**
     * map
     */
    private Map<String, Object> map;
}