package edu.travel.remote.vo;

import edu.travel.entity.BaseEntity;
import lombok.Data;

import java.util.Map;

/**
 * 意见表
 */
@Data
public class ShopOpinionVo extends BaseEntity {
    /**
     * 意见类型ID
     */
    private Long id;

    /**
     * 国家id
     */
    private String countryId;

    /**
     * 意见类型id
     */
    private Long typeId;

    /**
     * 描述
     */
    private String description;

    /**
     * 意见处理,默认0,0未处理,1已处理
     */
    private Integer state;
    /**
     * map
     */
    private Map<String, Object> map;

}