package edu.travel.remote.feign.mode.dto.tenant;

import edu.travel.po.PagePO;
import lombok.Data;

/**
 * SysRolePageDto 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/2/11
 */

@Data
public class SysMenuPageDto extends PagePO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 父菜单id，目录菜单的父菜单为null
     */
    private Long parentId;

    /**
     * 前端表单路由名称，仅用于menu_type为1的菜单类型
     */
    private String title;

    /**
     * (0: 目录 1: 菜单 2: 按钮 )
     */
    private Integer type;

    /**
     * 组件路径
     */
    private String component;

    /**
     * 页面路由
     */
    private String path;

    /**
     * 组件名称
     */
    private String name;

    /**
     * 菜单状态 0禁用1启用
     */
    private Byte status;
}
