package edu.travel.remote.feign.mode.dto.tenant;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SysProjectDto extends PagePO {
    /**
     * 项目id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 项目名中文
     */
    @NonNull
    @TableField(value = "project_name_cn")
    private String projectNameCn;

    /**
     * 项目名英文
     */
    @NonNull
    @TableField(value = "project_name_en")
    private String projectNameEn;

    /**
     * 公钥
     */
    @TableField(value = "public_key")
    private String publicKey;

    /**
     * 密钥
     */
    @TableField(value = "private_key")
    private String privateKey;

}