package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 支付方式表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_country_pay")
public class ShopCountryPay extends BaseEntity {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 国家ID
     */
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 支付名称
     */
    @TableField(value = "pay_name")
    private String payName;

}