package edu.travel.commodity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import edu.travel.commodity.entity.ShopOpinion;
import edu.travel.remote.vo.ShopOpinionVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ShopOpinionMapper extends BaseMapper<ShopOpinion> {
    // 查询带有国家信息的意见列表，确保不包含 project 参数
    // 确保返回类型是 ShopOpinionVo
    List<ShopOpinionVo> selectOpinionsWithCountry(
            @Param("description") String description,
            @Param("state") Integer state,
            @Param("countryId") String countryId,
            @Param("pageSize") Integer pageSize,
            @Param("offset") Integer offset
    );

    int countAll(
            @Param("description") String description,
            @Param("state") Integer state,
            @Param("countryId") String countryId
    );
}
