package edu.travel.commodity.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.commodity.entity.ShopSearchRecords;
import edu.travel.remote.dto.SearchRecordListDto;
import edu.travel.remote.vo.SearchRecordsVo;

public interface ShopSearchRecordsService extends IService<ShopSearchRecords> {


    void clearSearchRecords(SearchRecordListDto baseDto);

    Page<SearchRecordsVo> searchRecordList(SearchRecordListDto baseDto);
}
