package edu.travel.country.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.country.entity.BaseCountry;
import edu.travel.dto.BaseCountryDto;
import edu.travel.dto.BaseCountryServeDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.BaseCountryServeVo;
import edu.travel.vo.BaseCountryVo;
import org.springframework.web.bind.annotation.RequestBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface BaseCountryService extends IService<BaseCountry> {

    //分页
    RPCBaseResponse<IPage<BaseCountryVo>> getCountryPage(BaseCountryDto baseCountryDTO);

    //国家树
    RPCBaseResponse<List<BaseCountryVo>> getCountryTree();

    RPCBaseResponse<BaseCountryServeVo> saveFormTargetNew(@RequestBody BaseCountryServeDto entity, HttpServletRequest request);
}
