package edu.travel.ws.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MessageEnum {
    SHOP_MESSAGE(0, "商城客服消息"),
    TRAVEL_MESSAGE(1, "...");

    private final int code;
    private final String name;


    public static MessageEnum getByCode(int code) {
        for (MessageEnum orderState : values()) {
            if (orderState.getCode() == code) {
                return orderState;
            }
        }
        throw new IllegalArgumentException("No matching enum found for state: " + code);
    }


}
