package edu.travel.adapter.service.warehouse;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.dto.ShopWarehouseStaffDto;
import edu.travel.remote.ShopWarehouseStaffRemoteController;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ShopWarehouseStaffAdapter {
    @Autowired
    private ShopWarehouseStaffRemoteController shopWarehouseStaffRemoteController;
    @AdapterAnnotation
    public RPCBaseResponse<Boolean> insertWarehouseStaff(ShopWarehouseStaffDto staffDto){
        return shopWarehouseStaffRemoteController.insertWarehouseStaff(staffDto);
    }
}
