package edu.travel.annotation;

import java.lang.annotation.*;

/**
 * @author 畅
 * 一对多注解
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
@Inherited
public @interface LinkMany {
    /**
     * 主表字段
     *
     * @return
     */
    String linkField();

    /**
     * 使用哪个mapper来关联查询
     *
     * @return
     */
    Class linkMapper();

    /**
     * 从表关联字段
     *
     * @return
     */
    String linkPrimaryField();
}
