package edu.travel.advisor;

import edu.travel.exception.MyValidDataException;
import edu.travel.resp.PageResponse;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.http.HttpServletResponse;

@RestControllerAdvice
public class MyValidDataRestControllerAdvice {
    @ExceptionHandler(MyValidDataException.class)
    public PageResponse checkData(MyValidDataException myValidDataException) {
        myValidDataException.printStackTrace();
        return (PageResponse) PageResponse.out(HttpServletResponse.SC_OK, "出错");
    }
}