package edu.travel.remote.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品参数值
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_product_parameters")
public class ShopProductParametersVo extends BaseEntity {
    /**
     * 商品参数值ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 商品ID
     */
    @TableField(value = "product_id")
    private Long productId;

    /**
     * 参数ID
     */
    @TableField(value = "parameters_id")
    private Long parametersId;

    /**
     * 参数值
     */
    @TableField(value = "parameters_value")
    private String parametersValue;

}