package edu.travel.vo;

import edu.travel.entity.BaseEntity;
import lombok.Data;


/**
 * 语言表
 */
@Data
public class ShopLanguageVo extends BaseEntity {
    /**
     * id
     */
    private String id;

    /**
     * 中文语言名
     */
    private String languageNameZh;

    /**
     * 英文语言名
     */
    private String languageNameEn;

    /**
     * 当地语言名
     */
    private String languageNameLocal;

    /**
     * web前端状态 0未完成 1完成
     */
    private Integer webStatus;

    /**
     * 移动端状态 0未完成 1完成
     */
    private Integer mobileStatus;

    /**
     * web后端状态 0未完成 1完成
     */
    private Integer webBackendStatus;
    /**
     * 项目标识
     */
    private String project;
}