package edu.travel.remote.feign.mode.dto.tenant;

import com.fasterxml.jackson.annotation.JsonFormat;
import edu.travel.po.PagePO;
import lombok.Data;

import java.util.Date;

@Data
public class BannerDto extends PagePO {
    /**
     * 轮播图ID
     */
    private String id;

    /**
     * 图片/视频
     */
    private String url;
    /**
     * 图片id（上传方法返回）
     */
    private String imageId;
    /**
     * 判断图片/视频,默认0,0图片,1视频
     */
    private Integer urlType;

    /**
     * 名称
     */
    private String content;
    /**
     * 国家
     */
    private String countryId;

    /**
     * 链接地址
     */
    private String linkUrl;
    /**
     * mode 0 首页轮播图
     */
    private String mode;
    /**
     * 排序
     */
    private Integer sortOrder;
    /**
     * 是否默认 0 否 1是
     */
    private Integer isDefault;
    /**
     * 是否启用
     */
    private String enable;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
