package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 意见图片表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_complaint_picture")
public class ShopComplaintPicture extends BaseEntity {
    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 意见ID
     */
    @TableField(value = "opinion_id")
    private Long opinionId;

    /**
     * 图片地址
     */
    @TableField(value = "img_url")
    private String imgUrl;

}