package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 国家支持的货币
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_country_currency")
public class ShopCountryCurrency extends BaseEntity {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 国家ID
     */
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 货币ID
     */
    @TableField(value = "currency_id")
    private Long currencyId;

    /**
     * 货币名称_en
     */
    @TableField(value = "currency_name_en")
    private String currencyNameEn;

    /**
     * 货币名称_zh
     */
    @TableField(value = "currency_name_zh")
    private String currencyNameZh;

    /**
     * 货币符号
     */
    @TableField(value = "currency_code")
    private String currencyCode;

}