package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 列表搜索记录表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_search_records")
public class ShopSearchRecords extends BaseEntity {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 国家id
     */
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 搜索关键词
     */
    @TableField(value = "search_keyword")
    private String searchKeyword;

    /**
     * 搜索次数
     */
    @TableField(value = "search_count")
    private Integer searchCount;

    /**
     * 搜索源
     */
    @TableField(value = "search_type")
    private Integer searchType;

    /**
     * 搜索时间
     */
    @TableField(value = "search_time")
    private Date searchTime;


}