package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * SKU规格值关联表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_sku_spec_value")
public class ShopSkuSpecValue extends BaseEntity {
    /**
     * SKU规格值关联表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * SKU
     */
    @TableField(value = "sku_id")
    private Long skuId;

    /**
     * 规格值id
     */
    @TableField(value = "spec_value_id")
    private Long specValueId;

    /**
     * 规格值id
     */
    @TableField(value = "spec_id")
    private Long specId;


}