package edu.travel.commodity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.commodity.entity.ShopProduct;
import edu.travel.commodity.entity.ShopProductSpec;
import edu.travel.remote.dto.InsertProductSpecDto;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.vo.ProductSpecVo;
import edu.travel.remote.vo.SpecSortVo;

import java.util.List;

public interface ShopProductSpecService extends IService<ShopProductSpec> {


    ProductSpecVo getShopSpec(ProductSpecDto param);

    List<SpecSortVo> getSpecSortVoList(String productId);

    boolean insertProductSpec(List<InsertProductSpecDto> specs, ShopProduct bean);
}
