package edu.travel.order.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.order.entity.ShopOrder;
import edu.travel.remote.dto.AddOrderDto;
import edu.travel.remote.dto.GetOrderItemInfoByOrderNumDto;
import edu.travel.remote.dto.ShowOrderInfoDto;
import edu.travel.remote.vo.OrderItemVo;
import edu.travel.remote.vo.ShowOrderInfoVo;

public interface ShopOrderService extends IService<ShopOrder> {


    Page<ShowOrderInfoVo> showOrderInfo(ShowOrderInfoDto params);

    void addShopOrder(AddOrderDto params);

    Page<OrderItemVo> getOrderItemInfo(GetOrderItemInfoByOrderNumDto params);

    ShowOrderInfoVo orderInfoByOrderNum(String orderNum);

    void changeOrderState(String orderNum, String state);
}
