package edu.travel.upload.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "edu.edu_file_blob")
public class EduFileBlob extends BaseEntity {
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 分片名字
     */
    @TableField(value = "blob_name")
    private String blobName;

    /**
     * 传了第几片
     */
    @TableField(value = "blob_num")
    private Integer blobNum;

    /**
     * 分片地址
     */
    @TableField(value = "blob_path")
    private String blobPath;

    /**
     * 分片md5
     */
    @TableField(value = "blob_md5")
    private String blobMd5;

    /**
     * 文件md5
     */
    @TableField(value = "file_md5")
    private String fileMd5;

    /**
     * 总共多少片
     */
    @TableField(value = "total_count")
    private Integer totalCount;

}