package edu.travel.upload.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.upload.entity.EduFile;
import edu.travel.upload.mapper.EduFileMapper;
import edu.travel.upload.service.EduFileService;
import org.springframework.stereotype.Service;

@Service
public class EduFileServiceImpl extends ServiceImpl<EduFileMapper, EduFile> implements EduFileService {
    @Override
    public RPCBaseResponse exitsFile(String md5) {
        EduFile one = getOne(new LambdaQueryWrapper<EduFile>().eq(EduFile::getFileMd5, md5));
        if (one == null) {
            return RPCBaseResponse.success();
        }
        return RPCBaseResponse.success(one.getId());
    }
}
